#include <sys/ioctl.h>
#include <sys/soundcard.h>
#include <fcntl.h>
#include <errno.h>
#include <math.h>
#include <stdio.h>
#include <unistd.h>

#define DEVICE_NAME	"/dev/dsp0.0"
#define BUF_SIZE	(160)

int main(void) {
	uint8_t audio_buffer[BUF_SIZE], audio_buffer2[BUF_SIZE];
	int raw_fd, audio_fd;
	int speed = SRATE;
	int format = AFMT_S16_LE;
	int i;
	int frag;
	audio_buf_info info;
	int stereo = 0;

	if ((audio_fd = open(DEVICE_NAME, O_RDWR, 0)) == -1)  
	{ /* Opening device failed */  
		perror(DEVICE_NAME);  
		return 1;
	} 
	while(1) {
		i = read(audio_fd, audio_buffer, BUF_SIZE);
		ioctl(audio_fd, SNDCTL_DSP_POST, 0);
		if (i > 0) {
			i = write(audio_fd, audio_buffer, BUF_SIZE);
			if (i == -1)
				perror("write()");
		}
		else perror("read");
	}
}
